package model;
// Generated Jan 11, 2019 11:51:24 PM by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Parameter;

/**
 * UsersHasRoutines generated by hbm2java
 */
@Entity
@Table(name="users_has_routines"
    ,catalog="mydb"
)
public class UsersHasRoutines  implements java.io.Serializable {


     private Integer usersIdUsers;
     private Routines routines;
     private Users users;

    public UsersHasRoutines() {
    }

    public UsersHasRoutines(Routines routines, Users users) {
       this.routines = routines;
       this.users = users;
    }
   
     @GenericGenerator(name="generator", strategy="foreign", parameters=@Parameter(name="property", value="users"))@Id @GeneratedValue(generator="generator")

    
    @Column(name="Users_idUsers", unique=true, nullable=false)
    public Integer getUsersIdUsers() {
        return this.usersIdUsers;
    }
    
    public void setUsersIdUsers(Integer usersIdUsers) {
        this.usersIdUsers = usersIdUsers;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="Routines_idRoutines", nullable=false)
    public Routines getRoutines() {
        return this.routines;
    }
    
    public void setRoutines(Routines routines) {
        this.routines = routines;
    }

@OneToOne(fetch=FetchType.LAZY)@PrimaryKeyJoinColumn
    public Users getUsers() {
        return this.users;
    }
    
    public void setUsers(Users users) {
        this.users = users;
    }

    @Override
    public String toString() {
        return "UsersHasRoutines{" + "usersIdUsers=" + usersIdUsers + ", routines=" + routines + ", users=" + users + '}';
    }




}


